---
lang: en
title: 'API docs: core.component.services'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/core
permalink: /doc/en/lb4/apidocs.core.component.services.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/core](./core.md) &gt; [Component](./core.component.md) &gt; [services](./core.component.services.md)

## Component.services property

An array of service or provider classes

**Signature:**

```typescript
services?: ServiceOrProviderClass[];
```

